import request from '/@/utils/request';
export function goalManagementApi() {
    return {
        // 目标设置、目标指标分解列表
        getTargetMngList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetMng/page/list',
                method: 'post',
                data: params
            });
        },
        // 目标设置详情
        getTargetMngDetail: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetMng/selectOne/${params}`,
                method: 'get'
            });
        },
        // 目标设置新增或者修改数据
        getTargetMngAddOrupdata: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetMng/addOrUpdate',
                method: 'post',
                data: params
            });
        },
        // 目标设置删除
        getTargetMngDelete: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetMng/delete`,
                method: 'post',
                data: params
            });
        },
        // 目标指标分解-新增或者修改数据
        gettargetDivideDetail: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetDivideDetail/addOrUpdate',
                method: 'post',
                data: params
            });
        },
        // 统计
        getEquipmentInfo: () => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/equipmentInfo/statistics',
                method: 'get'
            });
        },
        // 目标责任书 分页查询数据
        gettargetDutyfileInfoList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetDutyfileInfo/page/list',
                method: 'post',
                data: params
            });
        },
        // 目标责任书 查询单条数据
        gettargetDutyfileInfoDetail: (params: number) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetDutyfileInfo/selectOne/${params}`,
                method: 'get'
            });
        },
        // 目标责任书 新增或者修改数据
        gettargetDutyfileInfoAddorUpdata: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetDutyfileInfo/addOrUpdate`,
                method: 'post',
                data: params
            });
        },
        // 目标责任书 删除
        gettargetDutyfileInfoDelete: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetDutyfileInfo/delete`,
                method: 'post',
                data: params
            });
        },
        // 奖惩标准设定 分页查询数据
        getrewardPunishmentStandardList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/rewardPunishmentStandard/page/list',
                method: 'post',
                data: params
            });
        },
        // 奖惩标准设定 查询单条数据
        getrewardPunishmentStandardDetail: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/rewardPunishmentStandard/selectOne/${params}`,
                method: 'get'
            });
        },
        // 奖惩标准设定 新增或者修改数据
        getrewardPunishmentStandardaddOrUpdate: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/rewardPunishmentStandard/addOrUpdate',
                method: 'post',
                data: params
            });
        },
        // 奖惩标准设定 删除
        getrewardPunishmentStandardDelete: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/rewardPunishmentStandard/delete`,
                method: 'post',
                data: params
            });
        },
        // 奖惩记录 分页查询数据
        getrewardPunishmentList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/rewardPunishmentDetail/page/list',
                method: 'post',
                data: params
            });
        },
        // 奖惩记录 查询单条数据
        getrewardPunishmentDetail: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/rewardPunishmentDetail/selectOne/${params}`,
                method: 'get'
            });
        },
        // 奖惩记录 新增或者修改数据
        getrewardPunishmentAddOrUpdate: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/rewardPunishmentDetail/addOrUpdate`,
                method: 'post',
                data: params
            });
        },
        // 奖惩记录 删除
        getrewardPunishmentDelete: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/rewardPunishmentDetail/delete`,
                method: 'post',
                data: params
            });
        },
        // 绩效考核管理 安全考核管理 分页查询数据
        getexamineMngList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/examineMng/page/list',
                method: 'post',
                data: params
            });
        },
        //  绩效考核管理 安全考核管理 查询单条数据
        getexamineMngDetail: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/examineMng/selectOne/${params}`,
                method: 'get'
            });
        },
        //  绩效考核管理 安全考核管理 新增或者修改数据
        getexamineMngAddOrUpdate: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/examineMng/addOrUpdate`,
                method: 'post',
                data: params
            });
        },
        //  绩效考核管理 安全考核管理 删除
        getexamineMngDelete: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/examineMng/delete`,
                method: 'post',
                data: params
            });
        },
        // 绩效考核管理 考核标准设定 分页查询数据
        getexamineTemplateList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/examineTemplate/page/list',
                method: 'post',
                data: params
            });
        },
        //  绩效考核管理 考核标准设定 查询单条数据
        getexamineTemplateDetail: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/examineTemplate/selectOne/${params}`,
                method: 'get'
            });
        },
        //  绩效考核管理 考核标准设定 新增或者修改数据
        getexamineTemplateAddOrUpdate: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/examineTemplate/addOrUpdate`,
                method: 'post',
                data: params
            });
        },
        //  绩效考核管理 考核标准设定 删除
        getexamineTemplateDelete: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/examineTemplate/delete`,
                method: 'post',
                data: params
            });
        },
        // 目标汇总 分页查询数据
        gettargetDutySummaryList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetDutySummary/page/list',
                method: 'post',
                data: params
            });
        },
        //  目标汇总 查询单条数据
        gettargetDutySummaryDetail: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetDutySummary/selectOne/${params}`,
                method: 'get'
            });
        },
        //  目标汇总 新增或者修改数据
        gettargetDutySummaryAddOrUpdate: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetDutySummary/addOrUpdate`,
                method: 'post',
                data: params
            });
        },
        //  目标汇总 删除
        gettargetDutySummaryDelete: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetDutySummary/delete?ids=${params}`,
                method: 'get'
            });
        },
        // 安全目标考核 查询单条数据
        gettargetExamineDetail: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetExamine/selectOne/${params}`,
                method: 'get'
            });
        },
        // 安全目标考核 新增或者修改数据
        gettargetExamineAddOrUpdate: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetExamine/addOrUpdate',
                method: 'post',
                data: params
            });
        },
        //   目标检查上报 (有疑问) 新增或者修改数据 ---???
        getworkApproveAddOrUpdate: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/workApprove/submitApprove',
                method: 'post',
                data: params
            });
        },
        // 部门树
        getTreedepartment: () => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/department/list',
                method: 'post'
            });
        },
        // 人员
        getManName: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/account/dep/list?depId=${params}`,
                method: 'get'
            });
        }
    };
}
